meta: add makefile, test runner, skeleton MessageBuffer
Add the very beginnings of MessageBuffer, which will
manage a buffer of log messages. Along the way, add
the support files that we need to build and test
MessageBuffer.
Note that the core functionality of MessageBuffer will be
added in later CLs. (The rest of the functionality is too
big to fit in this CL.)
Bug: 31653003
Test: ./runtests.sh (on bullhead)
Change-Id: I6c8a1bf453d02438988c955d70196e67f8173d1d
diff --git a/runtests.sh b/runtests.sh
new file mode 100755
index 0000000..9d6701a
--- /dev/null
+++ b/runtests.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+
+# Copyright (C) 2016 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z $ANDROID_BUILD_TOP ]; then
+ echo "You need to source and lunch before you can use this script"
+ exit 1
+fi
+
+echo "Running tests"
+set -e # fail early
+
+# NOTE We can't actually run these commands, since they rely on functions added by
+# build/envsetup.sh to the bash shell environment.
+echo "+ mmma -j32 $ANDROID_BUILD_TOP/system/connectivity/wifilogd"
+make -j32 -C $ANDROID_BUILD_TOP -f build/core/main.mk \
+ MODULES-IN-system-connectivity-wifilogd
+
+set -x # print commands
+
+adb root
+adb wait-for-device
+adb remount
+adb sync
+
+adb shell /data/nativetest/wifilogd_unit_test/wifilogd_unit_test
+adb shell /data/nativetest64/wifilogd_unit_test/wifilogd_unit_test